org.apache.olingo.client.api.domain

## Interface ClientEntity

- All Superinterfaces:
    ClientAnnotatable, ClientInvokeResult, ClientLinked
  All Known Subinterfaces:
    ClientSingleton

      public interface ClientEntity
      extends ClientLinked, ClientAnnotatable, ClientInvokeResult

  OData entity.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `getEditLink()` Returns OData entity edit link.
    `String` | `getETag()` Gets ETag.
    `URI` | `getId()` To request entity references in place of the actual entities, the client issues a GET request with /$ref appended to the resource path.
    `URI` | `getLink()`
    `URI` | `getMediaContentSource()` Gets media content source.
    `String` | `getMediaContentType()` Gets media content type.
    `ClientLink` | `getMediaEditLink(String name)` Gets media-edit link with given name, if available, otherwise `null`.
    `List<ClientLink>` | `getMediaEditLinks()` Returns entity media edit links.
    `String` | `getMediaETag()` ETag of the binary stream represented by this media entity or named stream property.
    `ClientOperation` | `getOperation(String title)` Searches for operation with given title.
    `List<ClientOperation>` | `getOperations()` Gets operations.
    `List<ClientProperty>` | `getProperties()` Returns OData entity properties.
    `ClientProperty` | `getProperty(String name)` Searches for property with given name.
    `FullQualifiedName` | `getTypeName()`
    `boolean` | `isMediaEntity()` Checks if the current entity is a media entity.
    `boolean` | `isReadOnly()` TRUE if read-only entity.
    `void` | `setEditLink(URI editLink)` Sets OData entity edit link.
    `void` | `setETag(String eTag)` Sets ETag.
    `void` | `setId(URI id)` Set id for this OData entity.
    `void` | `setMediaContentSource(URI mediaContentSource)` Sets media content source.
    `void` | `setMediaContentType(String mediaContentType)` Sets media content type.
    `void` | `setMediaEntity(boolean isMediaEntity)` Sets media entity flag.
    `void` | `setMediaETag(String eTag)` Set media ETag.

    - ### Methods inherited from interface org.apache.olingo.client.api.domain.ClientLinked

      `addLink, getAssociationLink, getAssociationLinks, getNavigationLink, getNavigationLinks, removeLink`

    - ### Methods inherited from interface org.apache.olingo.client.api.domain.ClientAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getTypeName

          FullQualifiedName getTypeName()

      Returns:
        the type name of this entity.

    - #### getLink

          URI getLink()

      Returns:
        self link.

    - #### getEditLink

          URI getEditLink()

      Returns OData entity edit link.
      Returns:
        entity edit link.

    - #### setEditLink

          void setEditLink(URI editLink)

      Sets OData entity edit link.
      Parameters:
        `editLink` - edit link.

    - #### getETag

          String getETag()

      Gets ETag.
      Returns:
        ETag.

    - #### setETag

          void setETag(String eTag)

      Sets ETag.
      Parameters:
        `eTag` - ETag.

    - #### getOperation

          ClientOperation getOperation(String title)

      Searches for operation with given title.
      Parameters:
        `title` - operation to look for
      Returns:
        operation if found with given title, `null` otherwise

    - #### getOperations

          List<ClientOperation> getOperations()

      Gets operations.
      Returns:
        operations.

    - #### getProperty

          ClientProperty getProperty(String name)

      Searches for property with given name.
      Parameters:
        `name` - property to look for
      Returns:
        property if found with given name, `null` otherwise

    - #### getProperties

          List<ClientProperty> getProperties()

      Returns OData entity properties.
      Returns:
        OData entity properties.

    - #### getId

          URI getId()

      To request entity references in place of the actual entities, the client issues a GET request with /$ref appended to the resource path.
      If the resource path does not identify an entity or a collection of entities, the service returns 404 Not Found.
      If the resource path terminates on a collection, the response MUST be the format-specific representation of a collection of entity references pointing to the related entities. If no entities are related, the response is the format-specific representation of an empty collection.
      If the resource path terminates on a single entity, the response MUST be the format-specific representation of an entity reference pointing to the related single entity. If the resource path terminates on a single entity and no such entity exists, the service returns 404 Not Found.
      Returns:
        entity reference.

    - #### setId

          void setId(URI id)

      Set id for this OData entity.
      Parameters:
        `id` - the if for this entity

    - #### getMediaEditLink

          ClientLink getMediaEditLink(String name)

      Gets media-edit link with given name, if available, otherwise `null`.
      Parameters:
        `name` - candidate link name
      Returns:
        media-edit link with given name, if available, otherwise `null`

    - #### getMediaEditLinks

          List<ClientLink> getMediaEditLinks()

      Returns entity media edit links.
      Returns:
        OData entity links.

    - #### isReadOnly

          boolean isReadOnly()

      TRUE if read-only entity.
      Returns:
        TRUE if read-only; FALSE otherwise.

    - #### isMediaEntity

          boolean isMediaEntity()

      Checks if the current entity is a media entity.
      Returns:
        'TRUE' if media entity; 'FALSE' otherwise.

    - #### setMediaEntity

          void setMediaEntity(boolean isMediaEntity)

      Sets media entity flag.
      Parameters:
        `isMediaEntity` - media entity flag value.

    - #### getMediaContentType

          String getMediaContentType()

      Gets media content type.
      Returns:
        media content type.

    - #### setMediaContentType

          void setMediaContentType(String mediaContentType)

      Sets media content type.
      Parameters:
        `mediaContentType` - media content type.

    - #### getMediaContentSource

          URI getMediaContentSource()

      Gets media content source.
      Returns:
        media content source.

    - #### setMediaContentSource

          void setMediaContentSource(URI mediaContentSource)

      Sets media content source.
      Parameters:
        `mediaContentSource` - media content source.

    - #### getMediaETag

          String getMediaETag()

      ETag of the binary stream represented by this media entity or named stream property.
      Returns:
        media ETag value

    - #### setMediaETag

          void setMediaETag(String eTag)

      Set media ETag.
      Parameters:
        `eTag` - media ETag value

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.